# WARNING - Generated by {fusen} from dev/flat_check_data.Rmd: do not edit by hand

test_that("check_squirrel_data_integrity works", {
  
  path <- system.file("nyc_squirrels_sample.csv", package = "squirrels")
  data <- readr::read_csv(file = path)

  expect_message(
    object = check_squirrel_data_integrity(df_squirrels = data), 
    regexp = "All colors are ok"
  )
  
  data_without_primary_fur_color <- data |> 
    dplyr::select(-primary_fur_color)
  
  expect_error(
    object = check_squirrel_data_integrity(df_squirrels = data_without_primary_fur_color),
    regexp = "There is no column primary_fur_color in the dataset"
  )
})
